unit BNWizReg;

interface

{$IFDEF WIN32}
uses
  Classes;
{$ENDIF}

{$IFDEF LINUX}
uses
  Classes;
{$ENDIF}

procedure Register;

implementation

{$IFDEF WIN32}
uses
  BNWiz, BNWizEdt, ActnList;//, sysutils;
{$ENDIF}

{$IFDEF LINUX}
uses
  BNWiz, BNWizEdt, QActnList;//, SysUtils;
{$ENDIF}

procedure Register;
begin
  // Register components with the IDE
  RegisterComponents('BUG Wizard', [TBNWizard]);
  // Register wizard tab sheets with the VCL's streaming system
  RegisterClass(TBNWizSheet);
  // Register the actions with the IDE
  RegisterActions('BUG Wizard', [TBNWizBackAction, TBNWizNextAction,
          TBNWizFinishAction, TBNWizNextFinishAction, TBNWizCancelAction], nil);
  // Register property and component editors
  BNWizEdt.Register;
end;

end.
